> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rallyuxr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an incentive by id

> Gets an incentive by id



## OpenAPI

````yaml https://api.rallyuxr.com/api/openapi get /incentives/{incentiveId}
openapi: 3.1.0
info:
  title: Rally UXR Developer Docs
  version: '1.0'
servers:
  - url: https://api.rallyuxr.com/api/public/v1
security:
  - bearerAuth: []
tags:
  - name: Forms
    description: Operations on Forms in your workspace
  - name: People
    description: Operations on Person's stored in your workspace
  - name: Person Properties
    description: Operations on workspace level Person Properties
  - name: Populations
    description: Operations on Populations in your workspace
  - name: Segments
    description: Operations on Segments in your workspace
  - name: Studies
    description: Operations on Studies in your workspace
  - name: Participants
    description: Operations on Participants in studies
  - name: Screener
    description: Operations on a study's screener
  - name: Consent Submissions
    description: Operations on Consent Submissions for studies
  - name: Incentives
    description: Operations on Incentives in your workspace
  - name: Messages
    description: Operations on Message activities in your workspace
  - name: Imports
    description: Operations on Imports in your workspace
  - name: Users
    description: Operations on Workspace Users
  - name: Teams
    description: Operations on Teams in your workspace
  - name: Backfills
    description: >-
      Routes that can be used to backfill data into Rally. If you'd like access
      to these apis, please reach out to your Customer Success rep
  - name: Person
    description: Deprecated, use People
paths:
  /incentives/{incentiveId}:
    get:
      tags:
        - Incentives
      summary: Get an incentive by id
      description: Gets an incentive by id
      parameters:
        - schema:
            type: string
          required: true
          name: incentiveId
          in: path
      responses:
        '200':
          description: Incentive response
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Incentive'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '401':
          description: Unauthorized
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Unauthorized
        '403':
          description: Forbidden
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Forbidden
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                type: string
                example: '{Resource} not found'
        '429':
          description: Too Many Requests
          headers:
            Retry-After:
              $ref: '#/components/headers/Retry-After'
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Too Many Requests
        '500':
          description: Internal Server Error
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Internal Server Error
      security:
        - bearerAuth: []
components:
  headers:
    X-RateLimit-Limit:
      description: The maximum number of requests the client is allowed to make.
      schema:
        type: integer
        format: int32
    X-RateLimit-Remaining:
      description: >-
        The number of requests remaining for the client in the current time
        window.
      schema:
        type: integer
        format: int32
    X-RateLimit-Reset:
      description: >-
        The time at which the current time window ends (in Unix timestamp
        format).
      schema:
        type: integer
        format: int32
    Retry-After:
      description: The number of seconds until the client should retry the request.
      schema:
        type: integer
        format: int32
  schemas:
    Incentive:
      type: object
      properties:
        incentiveId:
          type: string
          description: The ID of the incentive
        type:
          type:
            - string
            - 'null'
          enum:
            - MONEY_OR_GIFT_CARD
            - CUSTOM
            - RECRUITMENT_FEE
            - RESPONDENT_MONEY
            - null
          description: The type of the incentive
        amountCents:
          type:
            - integer
            - 'null'
          exclusiveMinimum: 0
          description: The value of the incentive in cents
        sentAt:
          type: string
          format: date-time
          description: When the incentive was sent
        recipientEmail:
          type:
            - string
            - 'null'
          format: email
          description: >-
            The email of the recipient. Null when the recipient has been
            deleted. Masked if the api key doesn't have permissions
        personId:
          type:
            - string
            - 'null'
          description: The ID of the person
        participantId:
          type:
            - string
            - 'null'
          description: The ID of the participant
        studyId:
          type:
            - string
            - 'null'
          description: The ID of the study
        status:
          type: string
          enum:
            - UNCLAIMED
            - CLAIMED
            - CANCELED
            - ERROR
            - SENT
            - EXPIRED
          description: >-
            The payment status of the incentive. Money and Charity incentives
            move through UNCLAIMED -> CLAIMED, ERROR, CANCELED, EXPIRED. Custom
            Incentives have no flow and are always SENT. EXPIRED applies to
            incentives sent after Jan 31 2026 that remain unclaimed for 1 year.
        budgetId:
          type:
            - string
            - 'null'
          description: The ID of the budget
        customIncentiveId:
          type:
            - string
            - 'null'
          description: The ID of the custom incentive
        customIncentiveValue:
          type:
            - string
            - 'null'
          description: The value of the custom incentive
      required:
        - incentiveId
        - type
        - amountCents
        - sentAt
        - recipientEmail
        - personId
        - participantId
        - studyId
        - status
        - budgetId
      description: An incentives's metadata
    BadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
              - path
      required:
        - errors
      description: Error response for a bad request with details on what was invalid
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````